%define upstream_name    Perl-Critic-Bangs
%define upstream_version 1.12

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Adding modifiers to a regular expression made up entirely of a variable created with qr() is usually not doing what you expect
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(PPI::Cache)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Perl::Critic) >= 1.98.0
BuildRequires: perl(Perl::Critic::Policy)
BuildRequires: perl(Perl::Critic::PolicyFactory)
BuildRequires: perl(Perl::Critic::PolicyParameter)
BuildRequires: perl(Perl::Critic::TestUtils)
BuildRequires: perl(Perl::Critic::UserProfile)
BuildRequires: perl(Perl::Critic::Utils)
BuildRequires: perl(Perl::Critic::Violation)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(Test::Perl::Critic) >= 1.10.0
BuildArch:  noarch

%description
This is a test diagnostic.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README.md TODO
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Tue Mar 22 2022 umeabot <umeabot> 1.120.0-5.mga9
+ Revision: 1818976
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.120.0-4.mga8
+ Revision: 1505940
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.120.0-3.mga7
+ Revision: 1285711
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.120.0-2.mga7
+ Revision: 1166148
- rebuild with fixed rpm for missing autodeps

* Sat Sep 23 2017 sander85 <sander85> 1.120.0-1.mga7
+ Revision: 1158237
- update to 1.12

* Sun Jun 19 2016 pterjan <pterjan> 1.100.0-8.mga6
+ Revision: 1031961
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.100.0-7.mga6
+ Revision: 948565
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.100.0-6.mga5
+ Revision: 788019
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.100.0-5.mga5
+ Revision: 750078
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.100.0-4.mga5
+ Revision: 685924
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 514095
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 371661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.100.0-1.mga3
+ Revision: 286401
- update to 1.10

* Tue Jun 21 2011 jquelin <jquelin> 1.80.0-1.mga2
+ Revision: 111450
- update to 1.08

* Tue Jan 25 2011 jquelin <jquelin> 1.60.0-1.mga1
+ Revision: 38379
- mageia rebuild
- imported package perl-Perl-Critic-Bangs

